Subject: [Bier] Eric Rescorla's Discuss on draft-ietf-bier-isis-extensions-07: (with DISCUSS)

From: Eric Rescorla <[email-masked]>
Date: Wed, 21 Feb 2018 09:15:11 -0800

Eric Rescorla has entered the following ballot position for
draft-ietf-bier-isis-extensions-07: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-bier-isis-extensions/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

Document: draft-ietf-bier-isis-extensions-00.txt

   Implementations must assure that malformed TLV and Sub-TLV
   permutations do not result in errors which cause hard protocol
   failures.

This is not an adequate security considerations section. What is your
threat model? What attacks are possible? What are not? It may be
the case that this is all covered in other documents, and you
just need to point to them, but the reader doesn't know that,
so this needs to be documented.

Off the top of my head, what happens if I send a BIER Info sub-TLV
with someone else's BFR-Id and a bogus BIER MPLS encapsulation
sub-sub-TLV?

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 21 Feb 2018 18:27:13 +0000

Eric -

Thanx for the review.

> -----Original Message-----
> From: Eric Rescorla [mailto:[email-masked]]
> Sent: Wednesday, February 21, 2018 9:15 AM
> To: The IESG <[email-masked]>
> Cc: [email-masked]; Hooman Bidgoli
> <[email-masked]>; [email-masked];
> [email-masked]; [email-masked]
> Subject: Eric Rescorla's Discuss on draft-ietf-bier-isis-extensions-07: (with
> DISCUSS)
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> This is not an adequate security considerations section. What is your threat
> model? What attacks are possible? What are not? It may be the case that this
> is all covered in other documents, and you just need to point to them, but
> the reader doesn't know that, so this needs to be documented.
> 
> Off the top of my head, what happens if I send a BIER Info sub-TLV with
> someone else's BFR-Id and a bogus BIER MPLS encapsulation sub-sub-TLV?
> 
[Les:] In response to earlier comments from Mirja, I provided the following (which satisfied Mirja):

In fact, there is nothing unique about the BIER advertisements in this regard. Malformed TLVs of any kind can cause protocol failures if an implementation does not guard against this. This is a base protocol issue. So this text is really inappropriate.
Here is new proposed text:

" Security concerns for IS-IS are addressed in [RFC5304] and [RFC5310].

   Advertisement of the additional information defined in this document
   introduces no new security concerns."

   Les

---

From: Eric C Rosen <[email-masked]>
Date: Wed, 21 Feb 2018 15:47:37 -0500

You might also reference the security considerations of RFC 8279.

On 2/21/2018 1:27 PM, Les Ginsberg (ginsberg) wrote:
>> Please refer to https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_iesg_statement_discuss-2Dcriteria.html&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=-DXB84eU9m4cIlq2OOcCJCQQAwJXQQswyu3F0kG0VNo&m=vnUNwPYudhJ7g8jeeISGTYFklHZtH2xmBBOQfP0Mqs0&s=7kyX6JUiQzwT04vAQh-TmY6ctKkigrtI4Lj9lPZ7MKY&e=
>> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dbier-2Disis-2Dextensions_&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=-DXB84eU9m4cIlq2OOcCJCQQAwJXQQswyu3F0kG0VNo&m=vnUNwPYudhJ7g8jeeISGTYFklHZtH2xmBBOQfP0Mqs0&s=uu5yldfU1osQk05VQZnkUGBlXKyZk-GKBicQGNQw7qM&e=
>>
>>
>>
> _______________________________________________
> BIER mailing list
> [email-masked]
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_bier&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=-DXB84eU9m4cIlq2OOcCJCQQAwJXQQswyu3F0kG0VNo&m=vnUNwPYudhJ7g8jeeISGTYFklHZtH2xmBBOQfP0Mqs0&s=u3uUvMh4hnjPcIY73dreOTZP2741ztFQmPyNl3iHsiM&e=

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 21 Feb 2018 21:06:18 +0000

Eric -

Good idea - I will add that.

  Les

> From: Eric C Rosen [mailto:[email-masked]]
> Sent: Wednesday, February 21, 2018 12:48 PM
> To: Les Ginsberg (ginsberg) <[email-masked]>; Eric Rescorla
> <[email-masked]>; The IESG <[email-masked]>
> Cc: [email-masked]; [email-masked]; [email-masked]; draft-
> [email-masked]
> Subject: Re: [Bier] Eric Rescorla's Discuss on draft-ietf-bier-isis-extensions-07:
> (with DISCUSS)
> 
> >> Subject: Eric Rescorla's Discuss on
> >> draft-ietf-bier-isis-extensions-07: (with
> >> DISCUSS)
> >>
> >> email addresses included in the To and CC lines. (Feel free to cut
> >> this introductory paragraph, however.)
> >>
> >>
> >> Please refer to
> >> https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.ietf.org_ies
> >> g_statement_discuss-
> 2Dcriteria.html&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0Uj
> >> BXeMK-ndb3voDTXcWzoCI&r=-
> DXB84eU9m4cIlq2OOcCJCQQAwJXQQswyu3F0kG0VNo&m
> >>
> =vnUNwPYudhJ7g8jeeISGTYFklHZtH2xmBBOQfP0Mqs0&s=7kyX6JUiQzwT04v
> AQh-TmY
> >> 6ctKkigrtI4Lj9lPZ7MKY&e= for more information about IESG DISCUSS and
> >> COMMENT positions.
> >>
> >>
> >> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf
> >> .org_doc_draft-2Dietf-2Dbier-2Disis-
> 2Dextensions_&d=DwICAg&c=HAkYuh63
> >> rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=-
> DXB84eU9m4cIlq2OOcCJCQQAwJXQQs
> >>
> wyu3F0kG0VNo&m=vnUNwPYudhJ7g8jeeISGTYFklHZtH2xmBBOQfP0Mqs0&
> s=uu5yldfU
> >> 1osQk05VQZnkUGBlXKyZk-GKBicQGNQw7qM&e=
> >>
> >>
> >>
> >> threat model? What attacks are possible? What are not? It may be the
> >> case that this is all covered in other documents, and you just need
> >> to point to them, but the reader doesn't know that, so this needs to be
> documented.
> >>
> >> with someone else's BFR-Id and a bogus BIER MPLS encapsulation sub-
> sub-TLV?
> >>
> > In fact, there is nothing unique about the BIER advertisements in this
> regard. Malformed TLVs of any kind can cause protocol failures if an
> implementation does not guard against this. This is a base protocol issue. So
> this text is really inappropriate.
> > https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.ietf.org_mail
> > man_listinfo_bier&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-
> ndb3voDTXcWzo
> > CI&r=-
> DXB84eU9m4cIlq2OOcCJCQQAwJXQQswyu3F0kG0VNo&m=vnUNwPYudhJ7g
> 8jeeIS
> >
> GTYFklHZtH2xmBBOQfP0Mqs0&s=u3uUvMh4hnjPcIY73dreOTZP2741ztFQmP
> yNl3iHsiM
> > &e=